• Home
  • Line#
  • Scopes#
  • Navigate#
  • Raw
  • Download
1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \	]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89TESTS = $(am__EXEEXT_1) $(am__EXEEXT_2)
90subdir = .
91ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92am__aclocal_m4_deps = $(top_srcdir)/configure.ac
93am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
94	$(ACLOCAL_M4)
95DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
96	$(am__configure_deps) $(dist_check_SCRIPTS) \
97	$(dist_noinst_DATA) $(nobase_dist_pkgdata_DATA) \
98	$(am__DIST_COMMON)
99am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
100 configure.lineno config.status.lineno
101mkinstalldirs = $(install_sh) -d
102CONFIG_CLEAN_FILES = wayland-protocols.pc \
103	wayland-protocols-uninstalled.pc
104CONFIG_CLEAN_VPATH_FILES =
105AM_V_P = $(am__v_P_@AM_V@)
106am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
107am__v_P_0 = false
108am__v_P_1 = :
109AM_V_GEN = $(am__v_GEN_@AM_V@)
110am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
111am__v_GEN_0 = @echo "  GEN     " $@;
112am__v_GEN_1 =
113AM_V_at = $(am__v_at_@AM_V@)
114am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
115am__v_at_0 = @
116am__v_at_1 =
117SOURCES =
118DIST_SOURCES =
119am__can_run_installinfo = \
120  case $$AM_UPDATE_INFO_DIR in \
121    n|no|NO) false;; \
122    *) (install-info --version) >/dev/null 2>&1;; \
123  esac
124am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
125am__vpath_adj = case $$p in \
126    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
127    *) f=$$p;; \
128  esac;
129am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
130am__install_max = 40
131am__nobase_strip_setup = \
132  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
133am__nobase_strip = \
134  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
135am__nobase_list = $(am__nobase_strip_setup); \
136  for p in $$list; do echo "$$p $$p"; done | \
137  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
138  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
139    if (++n[$$2] == $(am__install_max)) \
140      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
141    END { for (dir in files) print dir, files[dir] }'
142am__base_list = \
143  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
144  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
145am__uninstall_files_from_dir = { \
146  test -z "$$files" \
147    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
148    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
149         $(am__cd) "$$dir" && rm -f $$files; }; \
150  }
151am__installdirs = "$(DESTDIR)$(noarch_pkgconfigdir)" \
152	"$(DESTDIR)$(pkgdatadir)"
153DATA = $(dist_noinst_DATA) $(noarch_pkgconfig_DATA) \
154	$(nobase_dist_pkgdata_DATA)
155am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
156am__tty_colors_dummy = \
157  mgn= red= grn= lgn= blu= brg= std=; \
158  am__color_tests=no
159am__tty_colors = { \
160  $(am__tty_colors_dummy); \
161  if test "X$(AM_COLOR_TESTS)" = Xno; then \
162    am__color_tests=no; \
163  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
164    am__color_tests=yes; \
165  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
166    am__color_tests=yes; \
167  fi; \
168  if test $$am__color_tests = yes; then \
169    red=''; \
170    grn=''; \
171    lgn=''; \
172    blu=''; \
173    mgn=''; \
174    brg=''; \
175    std=''; \
176  fi; \
177}
178am__recheck_rx = ^[ 	]*:recheck:[ 	]*
179am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
180am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
181# A command that, given a newline-separated list of test names on the
182# standard input, print the name of the tests that are to be re-run
183# upon "make recheck".
184am__list_recheck_tests = $(AWK) '{ \
185  recheck = 1; \
186  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
187    { \
188      if (rc < 0) \
189        { \
190          if ((getline line2 < ($$0 ".log")) < 0) \
191	    recheck = 0; \
192          break; \
193        } \
194      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
195        { \
196          recheck = 0; \
197          break; \
198        } \
199      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
200        { \
201          break; \
202        } \
203    }; \
204  if (recheck) \
205    print $$0; \
206  close ($$0 ".trs"); \
207  close ($$0 ".log"); \
208}'
209# A command that, given a newline-separated list of test names on the
210# standard input, create the global log from their .trs and .log files.
211am__create_global_log = $(AWK) ' \
212function fatal(msg) \
213{ \
214  print "fatal: making $@: " msg | "cat >&2"; \
215  exit 1; \
216} \
217function rst_section(header) \
218{ \
219  print header; \
220  len = length(header); \
221  for (i = 1; i <= len; i = i + 1) \
222    printf "="; \
223  printf "\n\n"; \
224} \
225{ \
226  copy_in_global_log = 1; \
227  global_test_result = "RUN"; \
228  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
229    { \
230      if (rc < 0) \
231         fatal("failed to read from " $$0 ".trs"); \
232      if (line ~ /$(am__global_test_result_rx)/) \
233        { \
234          sub("$(am__global_test_result_rx)", "", line); \
235          sub("[ 	]*$$", "", line); \
236          global_test_result = line; \
237        } \
238      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
239        copy_in_global_log = 0; \
240    }; \
241  if (copy_in_global_log) \
242    { \
243      rst_section(global_test_result ": " $$0); \
244      while ((rc = (getline line < ($$0 ".log"))) != 0) \
245      { \
246        if (rc < 0) \
247          fatal("failed to read from " $$0 ".log"); \
248        print line; \
249      }; \
250      printf "\n"; \
251    }; \
252  close ($$0 ".trs"); \
253  close ($$0 ".log"); \
254}'
255# Restructured Text title.
256am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
257# Solaris 10 'make', and several other traditional 'make' implementations,
258# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
259# by disabling -e (using the XSI extension "set +e") if it's set.
260am__sh_e_setup = case $$- in *e*) set +e;; esac
261# Default flags passed to test drivers.
262am__common_driver_flags = \
263  --color-tests "$$am__color_tests" \
264  --enable-hard-errors "$$am__enable_hard_errors" \
265  --expect-failure "$$am__expect_failure"
266# To be inserted before the command running the test.  Creates the
267# directory for the log if needed.  Stores in $dir the directory
268# containing $f, in $tst the test, in $log the log.  Executes the
269# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
270# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
271# will run the test scripts (or their associated LOG_COMPILER, if
272# thy have one).
273am__check_pre = \
274$(am__sh_e_setup);					\
275$(am__vpath_adj_setup) $(am__vpath_adj)			\
276$(am__tty_colors);					\
277srcdir=$(srcdir); export srcdir;			\
278case "$@" in						\
279  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
280    *) am__odir=.;; 					\
281esac;							\
282test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
283  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
284if test -f "./$$f"; then dir=./;			\
285elif test -f "$$f"; then dir=;				\
286else dir="$(srcdir)/"; fi;				\
287tst=$$dir$$f; log='$@'; 				\
288if test -n '$(DISABLE_HARD_ERRORS)'; then		\
289  am__enable_hard_errors=no; 				\
290else							\
291  am__enable_hard_errors=yes; 				\
292fi; 							\
293case " $(XFAIL_TESTS) " in				\
294  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
295    am__expect_failure=yes;;				\
296  *)							\
297    am__expect_failure=no;;				\
298esac; 							\
299$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
300# A shell command to get the names of the tests scripts with any registered
301# extension removed (i.e., equivalently, the names of the test logs, with
302# the '.log' extension removed).  The result is saved in the shell variable
303# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
304# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
305# since that might cause problem with VPATH rewrites for suffix-less tests.
306# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
307am__set_TESTS_bases = \
308  bases='$(TEST_LOGS)'; \
309  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
310  bases=`echo $$bases`
311RECHECK_LOGS = $(TEST_LOGS)
312AM_RECURSIVE_TARGETS = check recheck
313am__EXEEXT_1 =  \
314	unstable/pointer-gestures/pointer-gestures-unstable-v1.xml \
315	unstable/fullscreen-shell/fullscreen-shell-unstable-v1.xml \
316	unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml \
317	unstable/text-input/text-input-unstable-v1.xml \
318	unstable/text-input/text-input-unstable-v3.xml \
319	unstable/input-method/input-method-unstable-v1.xml \
320	unstable/xdg-shell/xdg-shell-unstable-v5.xml \
321	unstable/xdg-shell/xdg-shell-unstable-v6.xml \
322	unstable/relative-pointer/relative-pointer-unstable-v1.xml \
323	unstable/pointer-constraints/pointer-constraints-unstable-v1.xml \
324	unstable/tablet/tablet-unstable-v1.xml \
325	unstable/tablet/tablet-unstable-v2.xml \
326	unstable/xdg-foreign/xdg-foreign-unstable-v1.xml \
327	unstable/xdg-foreign/xdg-foreign-unstable-v2.xml \
328	unstable/idle-inhibit/idle-inhibit-unstable-v1.xml \
329	unstable/xwayland-keyboard-grab/xwayland-keyboard-grab-unstable-v1.xml \
330	unstable/keyboard-shortcuts-inhibit/keyboard-shortcuts-inhibit-unstable-v1.xml \
331	unstable/xdg-output/xdg-output-unstable-v1.xml \
332	unstable/input-timestamps/input-timestamps-unstable-v1.xml \
333	unstable/xdg-decoration/xdg-decoration-unstable-v1.xml \
334	unstable/linux-explicit-synchronization/linux-explicit-synchronization-unstable-v1.xml \
335	unstable/primary-selection/primary-selection-unstable-v1.xml
336am__EXEEXT_2 = stable/presentation-time/presentation-time.xml \
337	stable/viewporter/viewporter.xml \
338	stable/xdg-shell/xdg-shell.xml
339TEST_SUITE_LOG = test-suite.log
340am__test_logs1 = $(TESTS:=.log)
341TEST_LOGS = $(am__test_logs1:.xml.log=.log)
342XML_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
343XML_LOG_COMPILE = $(XML_LOG_COMPILER) $(AM_XML_LOG_FLAGS) \
344	$(XML_LOG_FLAGS)
345am__set_b = \
346  case '$@' in \
347    */*) \
348      case '$*' in \
349        */*) b='$*';; \
350          *) b=`echo '$@' | sed 's/\.log$$//'`; \
351       esac;; \
352    *) \
353      b='$*';; \
354  esac
355am__DIST_COMMON = $(srcdir)/Makefile.in \
356	$(srcdir)/wayland-protocols-uninstalled.pc.in \
357	$(srcdir)/wayland-protocols.pc.in COPYING install-sh missing \
358	test-driver
359DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
360distdir = $(PACKAGE)-$(VERSION)
361top_distdir = $(distdir)
362am__remove_distdir = \
363  if test -d "$(distdir)"; then \
364    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
365      && rm -rf "$(distdir)" \
366      || { sleep 5 && rm -rf "$(distdir)"; }; \
367  else :; fi
368am__post_remove_distdir = $(am__remove_distdir)
369GZIP_ENV = --best
370DIST_ARCHIVES = $(distdir).tar.xz
371DIST_TARGETS = dist-xz
372distuninstallcheck_listfiles = find . -type f -print
373am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
374  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
375distcleancheck_listfiles = find . -type f -print
376ACLOCAL = @ACLOCAL@
377AMTAR = @AMTAR@
378AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
379AUTOCONF = @AUTOCONF@
380AUTOHEADER = @AUTOHEADER@
381AUTOMAKE = @AUTOMAKE@
382AWK = @AWK@
383CYGPATH_W = @CYGPATH_W@
384DEFS = @DEFS@
385ECHO_C = @ECHO_C@
386ECHO_N = @ECHO_N@
387ECHO_T = @ECHO_T@
388INSTALL = @INSTALL@
389INSTALL_DATA = @INSTALL_DATA@
390INSTALL_PROGRAM = @INSTALL_PROGRAM@
391INSTALL_SCRIPT = @INSTALL_SCRIPT@
392INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
393LIBOBJS = @LIBOBJS@
394LIBS = @LIBS@
395LTLIBOBJS = @LTLIBOBJS@
396MAKEINFO = @MAKEINFO@
397MKDIR_P = @MKDIR_P@
398PACKAGE = @PACKAGE@
399PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
400PACKAGE_NAME = @PACKAGE_NAME@
401PACKAGE_STRING = @PACKAGE_STRING@
402PACKAGE_TARNAME = @PACKAGE_TARNAME@
403PACKAGE_URL = @PACKAGE_URL@
404PACKAGE_VERSION = @PACKAGE_VERSION@
405PATH_SEPARATOR = @PATH_SEPARATOR@
406PKG_CONFIG = @PKG_CONFIG@
407PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
408PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
409SET_MAKE = @SET_MAKE@
410SHELL = @SHELL@
411STRIP = @STRIP@
412VERSION = @VERSION@
413WAYLAND_PROTOCOLS_VERSION = @WAYLAND_PROTOCOLS_VERSION@
414WAYLAND_SCANNER_CFLAGS = @WAYLAND_SCANNER_CFLAGS@
415WAYLAND_SCANNER_LIBS = @WAYLAND_SCANNER_LIBS@
416abs_builddir = @abs_builddir@
417abs_srcdir = @abs_srcdir@
418abs_top_builddir = @abs_top_builddir@
419abs_top_srcdir = @abs_top_srcdir@
420am__leading_dot = @am__leading_dot@
421am__tar = @am__tar@
422am__untar = @am__untar@
423bindir = @bindir@
424build_alias = @build_alias@
425builddir = @builddir@
426datadir = @datadir@
427datarootdir = @datarootdir@
428docdir = @docdir@
429dvidir = @dvidir@
430exec_prefix = @exec_prefix@
431host_alias = @host_alias@
432htmldir = @htmldir@
433includedir = @includedir@
434infodir = @infodir@
435install_sh = @install_sh@
436libdir = @libdir@
437libexecdir = @libexecdir@
438localedir = @localedir@
439localstatedir = @localstatedir@
440mandir = @mandir@
441mkdir_p = @mkdir_p@
442noarch_pkgconfigdir = @noarch_pkgconfigdir@
443oldincludedir = @oldincludedir@
444pdfdir = @pdfdir@
445prefix = @prefix@
446program_transform_name = @program_transform_name@
447psdir = @psdir@
448sbindir = @sbindir@
449sharedstatedir = @sharedstatedir@
450srcdir = @srcdir@
451sysconfdir = @sysconfdir@
452target_alias = @target_alias@
453top_build_prefix = @top_build_prefix@
454top_builddir = @top_builddir@
455top_srcdir = @top_srcdir@
456wayland_scanner = @wayland_scanner@
457ACLOCAL_AMFLAGS = -I m4
458unstable_protocols = \
459	unstable/pointer-gestures/pointer-gestures-unstable-v1.xml		\
460	unstable/fullscreen-shell/fullscreen-shell-unstable-v1.xml		\
461	unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml			\
462	unstable/text-input/text-input-unstable-v1.xml				\
463	unstable/text-input/text-input-unstable-v3.xml				\
464	unstable/input-method/input-method-unstable-v1.xml			\
465	unstable/xdg-shell/xdg-shell-unstable-v5.xml				\
466	unstable/xdg-shell/xdg-shell-unstable-v6.xml				\
467	unstable/relative-pointer/relative-pointer-unstable-v1.xml		\
468	unstable/pointer-constraints/pointer-constraints-unstable-v1.xml	\
469	unstable/tablet/tablet-unstable-v1.xml			                \
470	unstable/tablet/tablet-unstable-v2.xml			                \
471	unstable/xdg-foreign/xdg-foreign-unstable-v1.xml			\
472	unstable/xdg-foreign/xdg-foreign-unstable-v2.xml			\
473	unstable/idle-inhibit/idle-inhibit-unstable-v1.xml			\
474	unstable/xwayland-keyboard-grab/xwayland-keyboard-grab-unstable-v1.xml	\
475	unstable/keyboard-shortcuts-inhibit/keyboard-shortcuts-inhibit-unstable-v1.xml \
476	unstable/xdg-output/xdg-output-unstable-v1.xml				\
477	unstable/input-timestamps/input-timestamps-unstable-v1.xml	\
478	unstable/xdg-decoration/xdg-decoration-unstable-v1.xml	\
479	unstable/linux-explicit-synchronization/linux-explicit-synchronization-unstable-v1.xml \
480	unstable/primary-selection/primary-selection-unstable-v1.xml		\
481	$(NULL)
482
483stable_protocols = \
484	stable/presentation-time/presentation-time.xml				\
485	stable/viewporter/viewporter.xml					\
486	stable/xdg-shell/xdg-shell.xml						\
487	$(NULL)
488
489nobase_dist_pkgdata_DATA = \
490	$(unstable_protocols)							\
491	$(stable_protocols)							\
492	$(NULL)
493
494dist_noinst_DATA = \
495	$(sort $(foreach p,$(unstable_protocols),$(dir $p)README))		\
496	$(sort $(foreach p,$(stable_protocols),$(dir $p)README))		\
497	README.md								\
498	GOVERNANCE.md								\
499	MEMBERS.md								\
500	$(NULL)
501
502noarch_pkgconfig_DATA = wayland-protocols.pc
503dist_check_SCRIPTS = tests/scan.sh
504TEST_EXTENSIONS = .xml
505AM_TESTS_ENVIRONMENT = SCANNER='$(wayland_scanner)'; export SCANNER;
506XML_LOG_COMPILER = $(srcdir)/tests/scan.sh
507all: all-am
508
509.SUFFIXES:
510.SUFFIXES: .log .trs .xml
511am--refresh: Makefile
512	@:
513$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
514	@for dep in $?; do \
515	  case '$(am__configure_deps)' in \
516	    *$$dep*) \
517	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
518	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
519		&& exit 0; \
520	      exit 1;; \
521	  esac; \
522	done; \
523	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
524	$(am__cd) $(top_srcdir) && \
525	  $(AUTOMAKE) --foreign Makefile
526Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
527	@case '$?' in \
528	  *config.status*) \
529	    echo ' $(SHELL) ./config.status'; \
530	    $(SHELL) ./config.status;; \
531	  *) \
532	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
533	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
534	esac;
535
536$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
537	$(SHELL) ./config.status --recheck
538
539$(top_srcdir)/configure:  $(am__configure_deps)
540	$(am__cd) $(srcdir) && $(AUTOCONF)
541$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
542	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
543$(am__aclocal_m4_deps):
544wayland-protocols.pc: $(top_builddir)/config.status $(srcdir)/wayland-protocols.pc.in
545	cd $(top_builddir) && $(SHELL) ./config.status $@
546wayland-protocols-uninstalled.pc: $(top_builddir)/config.status $(srcdir)/wayland-protocols-uninstalled.pc.in
547	cd $(top_builddir) && $(SHELL) ./config.status $@
548install-noarch_pkgconfigDATA: $(noarch_pkgconfig_DATA)
549	@$(NORMAL_INSTALL)
550	@list='$(noarch_pkgconfig_DATA)'; test -n "$(noarch_pkgconfigdir)" || list=; \
551	if test -n "$$list"; then \
552	  echo " $(MKDIR_P) '$(DESTDIR)$(noarch_pkgconfigdir)'"; \
553	  $(MKDIR_P) "$(DESTDIR)$(noarch_pkgconfigdir)" || exit 1; \
554	fi; \
555	for p in $$list; do \
556	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
557	  echo "$$d$$p"; \
558	done | $(am__base_list) | \
559	while read files; do \
560	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(noarch_pkgconfigdir)'"; \
561	  $(INSTALL_DATA) $$files "$(DESTDIR)$(noarch_pkgconfigdir)" || exit $$?; \
562	done
563
564uninstall-noarch_pkgconfigDATA:
565	@$(NORMAL_UNINSTALL)
566	@list='$(noarch_pkgconfig_DATA)'; test -n "$(noarch_pkgconfigdir)" || list=; \
567	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
568	dir='$(DESTDIR)$(noarch_pkgconfigdir)'; $(am__uninstall_files_from_dir)
569install-nobase_dist_pkgdataDATA: $(nobase_dist_pkgdata_DATA)
570	@$(NORMAL_INSTALL)
571	@list='$(nobase_dist_pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
572	if test -n "$$list"; then \
573	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgdatadir)'"; \
574	  $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)" || exit 1; \
575	fi; \
576	$(am__nobase_list) | while read dir files; do \
577	  xfiles=; for file in $$files; do \
578	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
579	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
580	  test -z "$$xfiles" || { \
581	    test "x$$dir" = x. || { \
582	      echo " $(MKDIR_P) '$(DESTDIR)$(pkgdatadir)/$$dir'"; \
583	      $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)/$$dir"; }; \
584	    echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(pkgdatadir)/$$dir'"; \
585	    $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(pkgdatadir)/$$dir" || exit $$?; }; \
586	done
587
588uninstall-nobase_dist_pkgdataDATA:
589	@$(NORMAL_UNINSTALL)
590	@list='$(nobase_dist_pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
591	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
592	dir='$(DESTDIR)$(pkgdatadir)'; $(am__uninstall_files_from_dir)
593tags TAGS:
594
595ctags CTAGS:
596
597cscope cscopelist:
598
599
600# Recover from deleted '.trs' file; this should ensure that
601# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
602# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
603# to avoid problems with "make -n".
604.log.trs:
605	rm -f $< $@
606	$(MAKE) $(AM_MAKEFLAGS) $<
607
608# Leading 'am--fnord' is there to ensure the list of targets does not
609# expand to empty, as could happen e.g. with make check TESTS=''.
610am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
611am--force-recheck:
612	@:
613
614$(TEST_SUITE_LOG): $(TEST_LOGS)
615	@$(am__set_TESTS_bases); \
616	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
617	redo_bases=`for i in $$bases; do \
618	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
619	            done`; \
620	if test -n "$$redo_bases"; then \
621	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
622	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
623	  if $(am__make_dryrun); then :; else \
624	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
625	  fi; \
626	fi; \
627	if test -n "$$am__remaking_logs"; then \
628	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
629	       "recursion detected" >&2; \
630	elif test -n "$$redo_logs"; then \
631	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
632	fi; \
633	if $(am__make_dryrun); then :; else \
634	  st=0;  \
635	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
636	  for i in $$redo_bases; do \
637	    test -f $$i.trs && test -r $$i.trs \
638	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
639	    test -f $$i.log && test -r $$i.log \
640	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
641	  done; \
642	  test $$st -eq 0 || exit 1; \
643	fi
644	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
645	ws='[ 	]'; \
646	results=`for b in $$bases; do echo $$b.trs; done`; \
647	test -n "$$results" || results=/dev/null; \
648	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
649	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
650	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
651	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
652	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
653	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
654	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
655	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
656	  success=true; \
657	else \
658	  success=false; \
659	fi; \
660	br='==================='; br=$$br$$br$$br$$br; \
661	result_count () \
662	{ \
663	    if test x"$$1" = x"--maybe-color"; then \
664	      maybe_colorize=yes; \
665	    elif test x"$$1" = x"--no-color"; then \
666	      maybe_colorize=no; \
667	    else \
668	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
669	    fi; \
670	    shift; \
671	    desc=$$1 count=$$2; \
672	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
673	      color_start=$$3 color_end=$$std; \
674	    else \
675	      color_start= color_end=; \
676	    fi; \
677	    echo "$${color_start}# $$desc $$count$${color_end}"; \
678	}; \
679	create_testsuite_report () \
680	{ \
681	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
682	  result_count $$1 "PASS: " $$pass  "$$grn"; \
683	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
684	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
685	  result_count $$1 "FAIL: " $$fail  "$$red"; \
686	  result_count $$1 "XPASS:" $$xpass "$$red"; \
687	  result_count $$1 "ERROR:" $$error "$$mgn"; \
688	}; \
689	{								\
690	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
691	    $(am__rst_title);						\
692	  create_testsuite_report --no-color;				\
693	  echo;								\
694	  echo ".. contents:: :depth: 2";				\
695	  echo;								\
696	  for b in $$bases; do echo $$b; done				\
697	    | $(am__create_global_log);					\
698	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
699	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
700	if $$success; then						\
701	  col="$$grn";							\
702	 else								\
703	  col="$$red";							\
704	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
705	fi;								\
706	echo "$${col}$$br$${std}"; 					\
707	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
708	echo "$${col}$$br$${std}"; 					\
709	create_testsuite_report --maybe-color;				\
710	echo "$$col$$br$$std";						\
711	if $$success; then :; else					\
712	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
713	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
714	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
715	  fi;								\
716	  echo "$$col$$br$$std";					\
717	fi;								\
718	$$success || exit 1
719
720check-TESTS: $(dist_check_SCRIPTS)
721	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
722	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
723	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
724	@set +e; $(am__set_TESTS_bases); \
725	log_list=`for i in $$bases; do echo $$i.log; done`; \
726	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
727	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
728	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
729	exit $$?;
730recheck: all $(dist_check_SCRIPTS)
731	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
732	@set +e; $(am__set_TESTS_bases); \
733	bases=`for i in $$bases; do echo $$i; done \
734	         | $(am__list_recheck_tests)` || exit 1; \
735	log_list=`for i in $$bases; do echo $$i.log; done`; \
736	log_list=`echo $$log_list`; \
737	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
738	        am__force_recheck=am--force-recheck \
739	        TEST_LOGS="$$log_list"; \
740	exit $$?
741.xml.log:
742	@p='$<'; \
743	$(am__set_b); \
744	$(am__check_pre) $(XML_LOG_DRIVER) --test-name "$$f" \
745	--log-file $$b.log --trs-file $$b.trs \
746	$(am__common_driver_flags) $(AM_XML_LOG_DRIVER_FLAGS) $(XML_LOG_DRIVER_FLAGS) -- $(XML_LOG_COMPILE) \
747	"$$tst" $(AM_TESTS_FD_REDIRECT)
748
749distdir: $(BUILT_SOURCES)
750	$(MAKE) $(AM_MAKEFLAGS) distdir-am
751
752distdir-am: $(DISTFILES)
753	$(am__remove_distdir)
754	test -d "$(distdir)" || mkdir "$(distdir)"
755	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
756	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
757	list='$(DISTFILES)'; \
758	  dist_files=`for file in $$list; do echo $$file; done | \
759	  sed -e "s|^$$srcdirstrip/||;t" \
760	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
761	case $$dist_files in \
762	  */*) $(MKDIR_P) `echo "$$dist_files" | \
763			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
764			   sort -u` ;; \
765	esac; \
766	for file in $$dist_files; do \
767	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
768	  if test -d $$d/$$file; then \
769	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
770	    if test -d "$(distdir)/$$file"; then \
771	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
772	    fi; \
773	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
774	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
775	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
776	    fi; \
777	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
778	  else \
779	    test -f "$(distdir)/$$file" \
780	    || cp -p $$d/$$file "$(distdir)/$$file" \
781	    || exit 1; \
782	  fi; \
783	done
784	-test -n "$(am__skip_mode_fix)" \
785	|| find "$(distdir)" -type d ! -perm -755 \
786		-exec chmod u+rwx,go+rx {} \; -o \
787	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
788	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
789	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
790	|| chmod -R a+r "$(distdir)"
791dist-gzip: distdir
792	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
793	$(am__post_remove_distdir)
794
795dist-bzip2: distdir
796	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
797	$(am__post_remove_distdir)
798
799dist-lzip: distdir
800	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
801	$(am__post_remove_distdir)
802dist-xz: distdir
803	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
804	$(am__post_remove_distdir)
805
806dist-tarZ: distdir
807	@echo WARNING: "Support for distribution archives compressed with" \
808		       "legacy program 'compress' is deprecated." >&2
809	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
810	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
811	$(am__post_remove_distdir)
812
813dist-shar: distdir
814	@echo WARNING: "Support for shar distribution archives is" \
815	               "deprecated." >&2
816	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
817	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
818	$(am__post_remove_distdir)
819
820dist-zip: distdir
821	-rm -f $(distdir).zip
822	zip -rq $(distdir).zip $(distdir)
823	$(am__post_remove_distdir)
824
825dist dist-all:
826	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
827	$(am__post_remove_distdir)
828
829# This target untars the dist file and tries a VPATH configuration.  Then
830# it guarantees that the distribution is self-contained by making another
831# tarfile.
832distcheck: dist
833	case '$(DIST_ARCHIVES)' in \
834	*.tar.gz*) \
835	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
836	*.tar.bz2*) \
837	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
838	*.tar.lz*) \
839	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
840	*.tar.xz*) \
841	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
842	*.tar.Z*) \
843	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
844	*.shar.gz*) \
845	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
846	*.zip*) \
847	  unzip $(distdir).zip ;;\
848	esac
849	chmod -R a-w $(distdir)
850	chmod u+w $(distdir)
851	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
852	chmod a-w $(distdir)
853	test -d $(distdir)/_build || exit 0; \
854	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
855	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
856	  && am__cwd=`pwd` \
857	  && $(am__cd) $(distdir)/_build/sub \
858	  && ../../configure \
859	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
860	    $(DISTCHECK_CONFIGURE_FLAGS) \
861	    --srcdir=../.. --prefix="$$dc_install_base" \
862	  && $(MAKE) $(AM_MAKEFLAGS) \
863	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
864	  && $(MAKE) $(AM_MAKEFLAGS) check \
865	  && $(MAKE) $(AM_MAKEFLAGS) install \
866	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
867	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
868	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
869	        distuninstallcheck \
870	  && chmod -R a-w "$$dc_install_base" \
871	  && ({ \
872	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
873	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
874	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
875	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
876	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
877	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
878	  && rm -rf "$$dc_destdir" \
879	  && $(MAKE) $(AM_MAKEFLAGS) dist \
880	  && rm -rf $(DIST_ARCHIVES) \
881	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
882	  && cd "$$am__cwd" \
883	  || exit 1
884	$(am__post_remove_distdir)
885	@(echo "$(distdir) archives ready for distribution: "; \
886	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
887	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
888distuninstallcheck:
889	@test -n '$(distuninstallcheck_dir)' || { \
890	  echo 'ERROR: trying to run $@ with an empty' \
891	       '$$(distuninstallcheck_dir)' >&2; \
892	  exit 1; \
893	}; \
894	$(am__cd) '$(distuninstallcheck_dir)' || { \
895	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
896	  exit 1; \
897	}; \
898	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
899	   || { echo "ERROR: files left after uninstall:" ; \
900	        if test -n "$(DESTDIR)"; then \
901	          echo "  (check DESTDIR support)"; \
902	        fi ; \
903	        $(distuninstallcheck_listfiles) ; \
904	        exit 1; } >&2
905distcleancheck: distclean
906	@if test '$(srcdir)' = . ; then \
907	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
908	  exit 1 ; \
909	fi
910	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
911	  || { echo "ERROR: files left in build directory after distclean:" ; \
912	       $(distcleancheck_listfiles) ; \
913	       exit 1; } >&2
914check-am: all-am
915	$(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
916	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
917check: check-am
918all-am: Makefile $(DATA)
919installdirs:
920	for dir in "$(DESTDIR)$(noarch_pkgconfigdir)" "$(DESTDIR)$(pkgdatadir)"; do \
921	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
922	done
923install: install-am
924install-exec: install-exec-am
925install-data: install-data-am
926uninstall: uninstall-am
927
928install-am: all-am
929	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
930
931installcheck: installcheck-am
932install-strip:
933	if test -z '$(STRIP)'; then \
934	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
935	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
936	      install; \
937	else \
938	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
939	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
940	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
941	fi
942mostlyclean-generic:
943	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
944	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
945	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
946
947clean-generic:
948
949distclean-generic:
950	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
951	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
952
953maintainer-clean-generic:
954	@echo "This command is intended for maintainers to use"
955	@echo "it deletes files that may require special tools to rebuild."
956clean: clean-am
957
958clean-am: clean-generic mostlyclean-am
959
960distclean: distclean-am
961	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
962	-rm -f Makefile
963distclean-am: clean-am distclean-generic
964
965dvi: dvi-am
966
967dvi-am:
968
969html: html-am
970
971html-am:
972
973info: info-am
974
975info-am:
976
977install-data-am: install-noarch_pkgconfigDATA \
978	install-nobase_dist_pkgdataDATA
979
980install-dvi: install-dvi-am
981
982install-dvi-am:
983
984install-exec-am:
985
986install-html: install-html-am
987
988install-html-am:
989
990install-info: install-info-am
991
992install-info-am:
993
994install-man:
995
996install-pdf: install-pdf-am
997
998install-pdf-am:
999
1000install-ps: install-ps-am
1001
1002install-ps-am:
1003
1004installcheck-am:
1005
1006maintainer-clean: maintainer-clean-am
1007	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
1008	-rm -rf $(top_srcdir)/autom4te.cache
1009	-rm -f Makefile
1010maintainer-clean-am: distclean-am maintainer-clean-generic
1011
1012mostlyclean: mostlyclean-am
1013
1014mostlyclean-am: mostlyclean-generic
1015
1016pdf: pdf-am
1017
1018pdf-am:
1019
1020ps: ps-am
1021
1022ps-am:
1023
1024uninstall-am: uninstall-noarch_pkgconfigDATA \
1025	uninstall-nobase_dist_pkgdataDATA
1026
1027.MAKE: check-am install-am install-strip
1028
1029.PHONY: all all-am am--refresh check check-TESTS check-am clean \
1030	clean-generic cscopelist-am ctags-am dist dist-all dist-bzip2 \
1031	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
1032	distcheck distclean distclean-generic distcleancheck distdir \
1033	distuninstallcheck dvi dvi-am html html-am info info-am \
1034	install install-am install-data install-data-am install-dvi \
1035	install-dvi-am install-exec install-exec-am install-html \
1036	install-html-am install-info install-info-am install-man \
1037	install-noarch_pkgconfigDATA install-nobase_dist_pkgdataDATA \
1038	install-pdf install-pdf-am install-ps install-ps-am \
1039	install-strip installcheck installcheck-am installdirs \
1040	maintainer-clean maintainer-clean-generic mostlyclean \
1041	mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
1042	uninstall uninstall-am uninstall-noarch_pkgconfigDATA \
1043	uninstall-nobase_dist_pkgdataDATA
1044
1045.PRECIOUS: Makefile
1046
1047
1048# Tell versions [3.59,3.63) of GNU make to not export all variables.
1049# Otherwise a system limit (for SysV at least) may be exceeded.
1050.NOEXPORT:
1051